import Slider, { type SliderElement } from './Slider';
export interface CubeSliderElement extends SliderElement {
    direction: 'horizontal' | 'vertical';
    perspective: number;
}
export declare const CUBE_ATTRIBUTES: string[];
export default class Cube extends Slider implements CubeSliderElement {
    static observedAttributes: string[];
    get direction(): "horizontal" | "vertical";
    get perspective(): number;
    attributeChangedCallback(name: string): void;
    connectedCallback(): void;
}
